# tinc-hosts

This repository contains a `hosts/` directory
for use with Tinc VPN. This stores a file for 
each machine in the VPN, with an IP, subnet mask,
and public key.

## Building Tinc

Install required software:

```
sudo apt-get update
sudo apt-get -y install liblzo2-dev zlib1g-dev libssl-dev
```

Get latest verison of tinc:

```
wget https://tinc-vpn.org/packages/tinc-1.0.33.tar.gz
tar xzf tinc-1.0.33.tar.gz
cd tinc-1.0.33/
```

Now build/install it:

```
./configure && make && sudo make install
```

## Instructions:

See [Tinc page on the charlesreid1.com wiki](https://charlesreid1.com/wiki/Tinc)
for setting up tinc on a new machine.

Once you have done that,
go to the tinc configuration directory 
for the network you're setting up 
(this assumes it is called "master").
On Debian it is `/etc/tinc/master`,
on Mac it is `/usr/local/etc/tinc/master`.

Once there, check out this repository
into a folder called `hosts`:

```
git clone https://git.charlesreid1.com/charlesreid1/tinc-hosts.git /etc/tinc/master/hosts
```
